Bug 4119 - Cups stops working with Canon IJ based Printers
: Cups stops working with Canon IJ based Printers
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-24 05:34 MSD by Zombie Ryushu
Modified: 2014-06-27 01:15 MSD (History)
1 user (show)

See Also:
RPM Package: cups
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2014-06-24 05:34:38 MSD
Cups seems to be crashing with version 1.7.1  when communicating with Canon MG 2500 series printers. there are recorded segfaults in cupsd and libpthread.

[19137.657004] cnijlgmon2[23026]: segfault at 30 ip 0000003d73409b90 sp 00007fff1b3ba568 error 4 in libpthread-2.15.so[3d73400000+16000]
[19217.874290] cnijlgmon2[23113]: segfault at 30 ip 0000003d73409b90 sp 00007fff210f4f58 error 4 in libpthread-2.15.so[3d73400000+16000]
[20542.554753] cupsd[24292]: segfault at 7f065e701c78 ip 00007f065ce69e83 sp 00007ffff3df65d0 error 7 in libpthread-2.15.so[7f065ce61000+16000]
[20542.555160] cupsd[22579]: segfault at 7f1deccb2c78 ip 00007f1deb41ae83 sp 00007fff54038d40 error 7 in libpthread-2.15.so[7f1deb412000+16000]
[

Since upgrading to Rosa 2012.1 from Rosa 2012lts, I have been unable to print to my Canon MG2500.
Comment 1 Zombie Ryushu 2014-06-27 01:02:54 MSD
Bug is invalid. Issue created by Non-Free Driver for Canon series printers. Driver has API issues with Cups 1.6 and higher. To use this driver under Rosa 2012.1 Fresh, a Chroot for Cups 1.4.8 for Rosa 2012lts Marathon is required, with 32 bit compatibility.
Comment 2 Zombie Ryushu 2014-06-27 01:15:47 MSD
The Source code IS availible. But API changes to cups make compiling impossible.